std::is_scalar< _Tp > Struct Template Reference
Utilities » Metaprogramming

Inherits type< is_arithmetic< _Tp >, is_enum< _Tp >, is_pointer< _Tp >, is_member_pointer< _Tp >, is_null_pointer< _Tp > >.

## Detailed Description

### template<typename _Tp>
struct std::is_scalar< _Tp >

is_scalar

Definition at line 607 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits